VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::Updatesession::File::Info Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::Updatesession::File::Info:

## Avaliable Methods
public method | set_bytes_transferred ()
public method | get_source_type ()
public method | get_bytes_transferred ()
public method | set_name ()
public method | set_error_message ()
public method | set_size ()
public method | get_error_message ()
public method | set_source_endpoint ()
public method | set_checksum_info ()
public method | set_source_type ()
public method | set_upload_endpoint ()
public method | new ()
public method | get_size ()
public method | set_status ()
public method | get_source_endpoint ()
public method | get_upload_endpoint ()
public method | get_checksum_info ()
public method | get_name ()
public method | get_status ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::Updatesession::File::Info` class defines the uploaded file.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_bytes_transferred | ( |  | ) |

Gets the value of 'bytes_transferred' property.

Return values

  bytes_transferred | - The current value of the field. The number of bytes of this file that have been received by the server. long#

Code:
click to view
# Number of lines of code in get_bytes_transferred: 4
sub get_bytes_transferred {
my ($self, %args) = @_;
return $self->{'bytes_transferred'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_checksum_info | ( |  | ) |

Gets the value of 'checksum_info' property.

Return values

  checksum_info | - The current value of the field. The checksum information of the file received by the server. Optional#

Code:
click to view
# Number of lines of code in get_checksum_info: 4
sub get_checksum_info {
my ($self, %args) = @_;
return $self->{'checksum_info'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_error_message | ( |  | ) |

Gets the value of 'error_message' property.

Return values

  error_message | - The current value of the field. Details about the transfer error. Optional#

Code:
click to view
# Number of lines of code in get_error_message: 4
sub get_error_message {
my ($self, %args) = @_;
return $self->{'error_message'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the file. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_size | ( |  | ) |

Gets the value of 'size' property.

Return values

  size | - The current value of the field. The file size, in bytes as received by the server. This field is guaranteed to be set when the server has completely received the file. Optional#

Code:
click to view
# Number of lines of code in get_size: 4
sub get_size {
my ($self, %args) = @_;
return $self->{'size'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_source_endpoint | ( |  | ) |

Gets the value of 'source_endpoint' property.

Return values

  source_endpoint | - The current value of the field. A source endpoint from which to retrieve the file. optional#

Code:
click to view
# Number of lines of code in get_source_endpoint: 4
sub get_source_endpoint {
my ($self, %args) = @_;
return $self->{'source_endpoint'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_source_type | ( |  | ) |

Gets the value of 'source_type' property.

Return values

  source_type | - The current value of the field. The source type (NONE, PUSH, PULL) from which the file is being retrieved. This may be :attr:`Com::Vmware::Content::Library::Item::Updatesession::File::SourceType.NONE` if the file is not being changed. SourceType#

Code:
click to view
# Number of lines of code in get_source_type: 4
sub get_source_type {
my ($self, %args) = @_;
return $self->{'source_type'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_status | ( |  | ) |

Gets the value of 'status' property.

Return values

  status | - The current value of the field. The transfer status (WAITING_FOR_TRANSFER, TRANSFERRING, READY, VALIDATING, ERROR) of this file. TransferStatus#

Code:
click to view
# Number of lines of code in get_status: 4
sub get_status {
my ($self, %args) = @_;
return $self->{'status'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::get_upload_endpoint | ( |  | ) |

Gets the value of 'upload_endpoint' property.

Return values

  upload_endpoint | - The current value of the field. An upload endpoint to which the client can push the content. optional#

Code:
click to view
# Number of lines of code in get_upload_endpoint: 4
sub get_upload_endpoint {
my ($self, %args) = @_;
return $self->{'upload_endpoint'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::Updatesession::File::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 41
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'source_type',
'case_map' => {
'PULL' => ['source_endpoint'],
'PUSH' => ['upload_endpoint'],
'NONE' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{source_type} = $args{'source_type'};
$self->{size} = $args{'size'};
$self->{checksum_info} = $args{'checksum_info'};
$self->{source_endpoint} = $args{'source_endpoint'};
$self->{upload_endpoint} = $args{'upload_endpoint'};
$self->{bytes_transferred} = $args{'bytes_transferred'};
$self->{status} = $args{'status'};
$self->{error_message} = $args{'error_message'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::Updatesession::File::Info');
$self->set_binding_name('name' => 'com.vmware.content.library.item.updatesession.file.info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'source_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item::Updatesession', 'type_name' => 'File::SourceType'));
$self->set_binding_field('key' => 'size', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'checksum_info', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'File::ChecksumInfo')));
$self->set_binding_field('key' => 'source_endpoint', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'TransferEndpoint')));
$self->set_binding_field('key' => 'upload_endpoint', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'TransferEndpoint')));
$self->set_binding_field('key' => 'bytes_transferred', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'status', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'TransferStatus'));
$self->set_binding_field('key' => 'error_message', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_bytes_transferred | ( |  | ) |

Sets the given value for 'bytes_transferred' property.

Parameters

  bytes_transferred | - New value for the field. The number of bytes of this file that have been received by the server.

Code:
click to view
# Number of lines of code in set_bytes_transferred: 5
sub set_bytes_transferred {
my ($self, %args) = @_;
$self->{'bytes_transferred'} = $args{'bytes_transferred'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_checksum_info | ( |  | ) |

Sets the given value for 'checksum_info' property.

Parameters

  checksum_info | - New value for the field. The checksum information of the file received by the server.

Code:
click to view
# Number of lines of code in set_checksum_info: 5
sub set_checksum_info {
my ($self, %args) = @_;
$self->{'checksum_info'} = $args{'checksum_info'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_error_message | ( |  | ) |

Sets the given value for 'error_message' property.

Parameters

  error_message | - New value for the field. Details about the transfer error.

Code:
click to view
# Number of lines of code in set_error_message: 5
sub set_error_message {
my ($self, %args) = @_;
$self->{'error_message'} = $args{'error_message'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the file.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_size | ( |  | ) |

Sets the given value for 'size' property.

Parameters

  size | - New value for the field. The file size, in bytes as received by the server. This field is guaranteed to be set when the server has completely received the file.

Code:
click to view
# Number of lines of code in set_size: 5
sub set_size {
my ($self, %args) = @_;
$self->{'size'} = $args{'size'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_source_endpoint | ( |  | ) |

Sets the given value for 'source_endpoint' property.

Parameters

  source_endpoint | - New value for the field. A source endpoint from which to retrieve the file.

Code:
click to view
# Number of lines of code in set_source_endpoint: 5
sub set_source_endpoint {
my ($self, %args) = @_;
$self->{'source_endpoint'} = $args{'source_endpoint'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_source_type | ( |  | ) |

Sets the given value for 'source_type' property.

Parameters

  source_type | - New value for the field. The source type (NONE, PUSH, PULL) from which the file is being retrieved. This may be :attr:`Com::Vmware::Content::Library::Item::Updatesession::File::SourceType.NONE` if the file is not being changed.

Code:
click to view
# Number of lines of code in set_source_type: 5
sub set_source_type {
my ($self, %args) = @_;
$self->{'source_type'} = $args{'source_type'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_status | ( |  | ) |

Sets the given value for 'status' property.

Parameters

  status | - New value for the field. The transfer status (WAITING_FOR_TRANSFER, TRANSFERRING, READY, VALIDATING, ERROR) of this file.

Code:
click to view
# Number of lines of code in set_status: 5
sub set_status {
my ($self, %args) = @_;
$self->{'status'} = $args{'status'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::Info::set_upload_endpoint | ( |  | ) |

Sets the given value for 'upload_endpoint' property.

Parameters

  upload_endpoint | - New value for the field. An upload endpoint to which the client can push the content.

Code:
click to view
# Number of lines of code in set_upload_endpoint: 5
sub set_upload_endpoint {
my ($self, %args) = @_;
$self->{'upload_endpoint'} = $args{'upload_endpoint'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/Updatesession/File.pm